Subject: bug#11017: 24.0.94; emacs-lock--kill-emacs-query-functions should ding

From: Juanma Barranquero <[email-masked]>
Date: Fri, 16 Mar 2012 03:26:38 +0100

severity 11017 wishlist
found 11017 24.2
quit

On Fri, Mar 16, 2012 at 02:11, Michael Heerdegen
<[email-masked]> wrote:

> That's why I think it's appropriate here ;-)

Making an obnoxious feature the default wouldn't get much goodwill, I think.

> I would appreciate such an option (what do others think?).

IMO, instead of adding an option to call `ding', it would make more
sense to add a hook and let the user decide what do to with it. That's
post 24.1 anyway.

>  - when exiting Emacs, and there is a locked buffer, pop it up (because
>    it's very likely that the user will want to see it next)

Well, I suppose it makes sense as an optional feature, because you
will want to unlock it. In my case, I have bs-show customized to
display the (un)?locked state of buffers and can toggle it from there,
so no need to pop the buffer.

>  - Optionally, let the user enter a short note of why he has locked the
>    buffer.  Print this when the user tries to kill the buffer/ Emacs.
>    Helpful as reminder for people who run Emacs for several days.

Again, it seems useful, post-24.1.

I'm going to turn this into a wishlist, and we can revisit it after the release.

    Juanma